powermail 2 unter Typo3 4.5 [Gelöst]

  • bolshi bolshi
    R2-D2
    0 x
    110 Beiträge
    0 Hilfreiche Beiträge
    09. 08. 2012, 09:07

    Hallo,
    vor 2 Wochen ging die oben genannte Kombination schief. Gibt es eine Möglichkeit das neue powermail unter 4.5 zu verwenden?

    Gruß, bolshi


  • Julian.Hofmann Julian.Ho...
    Flash Gordon
    0 x
    2852 Beiträge
    105 Hilfreiche Beiträge
    10. 08. 2012, 12:24

    Hallo.

    Ich zitiere mal aus der Powermail-Doku: "NOTE: Powermail 2 runs on TYPO3 4.6 or higher only".

    Folglich: nein, gibt keine Möglichkeit. Der 1er-Ast von Powermail wird aber wohl noch weitergepflegt, um eine 4.5-kompartible Version zu haben.

    Viele Grüße
    Julian

  • bolshi bolshi
    R2-D2
    0 x
    110 Beiträge
    0 Hilfreiche Beiträge
    13. 08. 2012, 14:52

    [quote="Julian.Hofmann"]

    Der 1er-Ast von Powermail wird aber wohl noch weitergepflegt, um eine 4.5-kompartible Version zu haben.

    [/quote]

    Hab meine Frage unklar formuliert. Am 8.8. gab's ein Security bulletin u.a. powermail 1.x betreffend. Einige der von mir betreuten Systeme laufen auf 4.5er Basis, wo powermail 2.x nicht läuft. Dürfen jedoch aus anderen Gründen nicht auf 4.6 und mehr umgestellt werden.
    Dann muss es eben mit 1.6.9 gehn.

    Gruß und Dank

  • Julian.Hofmann Julian.Ho...
    Flash Gordon
    0 x
    2852 Beiträge
    105 Hilfreiche Beiträge
    13. 08. 2012, 14:57

    o.O Hm, ja, das mit den Updates und der LTS-Version wird wohl noch eine kleine Herausforderung. Bislang ist mir noch nicht bekannt, wie das via TER gehandhabt werden wird bzw. könnte. Die Update-Funktion berücksichtigt leider (noch?) nicht, die TYPO3-Version. Solange bleibt wohl nur der händische Weg.

  • bolshi bolshi
    R2-D2
    0 x
    110 Beiträge
    0 Hilfreiche Beiträge
    13. 08. 2012, 15:08

    [quote="Julian.Hofmann"]
    ... leider (noch?) nicht, die TYPO3-Version. Solange bleibt wohl nur der händische Weg.
    [/quote]

    Das hast du jetzt aber gut gesagt. Liest Alex hier eigentlich noch ;)

  • Julian.Hofmann Julian.Ho...
    Flash Gordon
    0 x
    2852 Beiträge
    105 Hilfreiche Beiträge
    13. 08. 2012, 16:16

    Die Problematik ist aber nichts spezifisches von Powermail, sondern eine generelle Problematik. Durch die TYPO3-LTS-Version auf der einen Seite und die aktuellste Version auf der anderen Seite wird es nach und nach immer mehr Extensions geben, die ebenfalls zwei Versionsäste pflegen - eine LTS-kompartible und eine, die auf dem neuesten Stand der (TYPO3-)Technik ist. Darauf müsste eben auch das TER Rücksicht nehmen und entsprechend filtern können.

    Alex liest glaube ich schon noch mit (zumindest, was seine Extensions angeht).

  • LuP LuP
    Jedi-Meister
    0 x
    496 Beiträge
    1 Hilfreiche Beiträge
    13. 08. 2012, 17:17

    [quote="Julian.Hofmann"]
    Darauf müsste eben auch das TER Rücksicht nehmen und entsprechend filtern können.
    [/quote]
    +1
    Da kann ich mich nur anschließen. Zusätzlich wäre noch das Filtern nach pi- und extbase eine feine Sache. Dann könnte man die tollen Funktionen von Solr voll ausreizen.

    VG,
    LuP

  • einpraegsam.net einpraegs...
    MacGyver
    0 x
    9340 Beiträge
    80 Hilfreiche Beiträge
    16. 08. 2012, 21:21

    Das ganze Thema ist sehr spannend. Für die Extension Entwickler ist es nur sehr schwer bis unmöglich mehrer Branches aufzumachen ohne weitere Extensionkey anzulegen. Vor allem wenn alles transparent ablaufen soll.
    Letzteres ist aber auch keine Lösung, da man das TER nicht noch mehr zumüllen will.

    Alles nicht so einfach im Moment...

    Genug Offtopic jetzt :)

    in2code.de - Wir leben TYPO3
    - Möchtest du TYPO3 komplett verstehen? Eigene Erweiterungen erstellen? Bei uns gibt es auch Schulungen https://www.in2code.de/produkte/typo3-schulungen/
    - Die Arbeit mit TYPO3 macht dir Spaß? Du stehst auf Berge? Komm zu uns! https://www.in2code.de/agentur/karriere/

  • bolshi bolshi
    R2-D2
    0 x
    110 Beiträge
    0 Hilfreiche Beiträge
    17. 08. 2012, 09:52

    1 am Rande Alex: Was du der Community mit powermail an features zur Verfügung stellst ist spitzenmäßig. Beim aktuellen Projekt wars so, dass Werte aus einer mit browser geschriebenen event-extension an Sender und Empfänger geliefert werden mussten. Ohne powermail hätt ich da wohl ne ganze Weile länger gesessen.

    Dennoch wärs genial, wenn 1.6.x support erfährt bis 4.5.x ausläuft :)

    Gruß und Dank,
    bolshi

  • einpraegsam.net einpraegs...
    MacGyver
    0 x
    9340 Beiträge
    80 Hilfreiche Beiträge
    20. 08. 2012, 11:57

    powermail in der Version 1.7.x wird von Nicole weiter gepflegt und steht unter Forge über SVN zur Verfügung (leider nicht im TER, weil hier kein weiterer Branch möglich ist):
    http://forge.typo3.org/projects/extension-powermail/repository/show/branches/1.7.x

    in2code.de - Wir leben TYPO3
    - Möchtest du TYPO3 komplett verstehen? Eigene Erweiterungen erstellen? Bei uns gibt es auch Schulungen https://www.in2code.de/produkte/typo3-schulungen/
    - Die Arbeit mit TYPO3 macht dir Spaß? Du stehst auf Berge? Komm zu uns! https://www.in2code.de/agentur/karriere/